CSS::Selector(3)

NAME
CSS::Selector - A selector in a CSS object tree

SYNOPSIS
  use CSS;

DESCRIPTION
This module represents a selector in a CSS object tree. Read the CSS.pm pod for information about the CSS object tree.

METHODS

  CONSTRUCTORS

"new()" or "new( { ..options.. } )"
    This constructor returns a new "CSS::Selector" object, with an optional hash of options.

      name          selector name (as string)
      adaptor       adaptor to use for serialization

  ACCESSORS

"set_adaptor( 'CSS::Adaptor::Foo' )"
    This method sets the current adaptor for the object.

AUTHOR
Copyright (C) 2003-2004, Cal Henderson <cal@iamcal.com>

SEE ALSO
CSS, http://www.w3.org/TR/REC-CSS1